# Generated from ronin-2.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name ronin

Name: rubygem-%{gem_name}
Version: 2.1.0
Release: 1%{?dist}
Summary: A Ruby toolkit for security research and development
License: GPL-3.0
URL: https://ronin-rb.dev
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 3.1.0
BuildArch: noarch

%description
Ronin is a free and Open Source Ruby toolkit for security research and
development. Ronin contains many different CLI commands and Ruby libraries for
a variety of security tasks, such as encoding/decoding data, filter
IPs/hosts/URLs, querying ASNs, querying DNS, HTTP, scanning for web
vulnerabilities, spidering websites, installing 3rd-party repositories of
exploits and/or payloads, running exploits, developing new exploits, managing
local databases, fuzzing data, performing recon, and much more.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/ronin
%{gem_instdir}/.editorconfig
%{gem_instdir}/.github
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.mailmap
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/.ruby-version
%exclude %{gem_instdir}/.yardopts
%license %{gem_instdir}/COPYING.txt
%{gem_instdir}/bin
%{gem_instdir}/data
%{gem_instdir}/gemspec.yml
%{gem_libdir}
%{gem_instdir}/man
%{gem_instdir}/scripts
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.document
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/ChangeLog.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/ronin.gemspec

%changelog
* Mon Jul 22 2024 mockbuilder - 2.1.0-1
- Initial package
